Skip to content

Servers

https://api.memnetai.com/

View complete information for specified dream tasks

GET
dream/task/detail

Retrieve and return information for a single dream task

heat:2 points

Parameters

Header Parameters

Authorization

API key token

Typestring
Example"Token <api-key>"

Query Parameters

taskId

Task ID

Typestring

Responses

application/json
JSON
{
"code": "string",
"msg": "string",
"data": {
"taskId": "string",
"topicContext": "string",
"rounds": 0,
"memoryAgentName": "string",
"projectId": "string",
"userId": "string",
"memoryAgentId": "string",
"currentTimestamp": "string",
"serviceCallLogId": "string"
}
}

Playground

Headers
Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

Get List of All Dream Tasks

GET
dream/task/all

Retrieve and return a list of all dream tasks for the user

heat:2 points

Parameters

Header Parameters

Authorization

API key token

Typestring
Example"Token <api-key>"

Responses

application/json
JSON
{
"code": "string",
"msg": "string",
"data": {
"taskList": [
"string"
]
}
}

Playground

Headers

Samples

cURL
JavaScript
PHP
Python

Delete the specified dream task

DELETE
dream/task/delete

Delete the specified dream task

heat:2 points

Parameters

Header Parameters

Authorization

API key token

Typestring
Example"Token <api-key>"

Query Parameters

taskId

Task ID

Typestring

Responses

application/json
JSON
{
"code": "string",
"msg": "string",
"data": {
}
}

Playground

Headers
Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

Powered by VitePress OpenAPI